Subject: Re: perl 5.8.6: unable to compile PAR 0.87
From: "Gerrit P. Haase" <[email-masked]>
To: Kevin Everets <[email-masked]>
Cc: [email-masked]
Date: Wed, 02 Mar 2005 23:29:55 +0100

Kevin Everets wrote:

> I'm trying to get PAR 0.87 (from http://par.perl.org) installed with
> the perl currently in cygwin (v5.8.6).  This install worked with an
> older version of perl that was in cygwin (perl, v5.8.2 built for
> cygwin-thread-multi-64int)
> 
> The error during the install process (normally just: 
> perl Makefile.PL && make && make test && make install
> ) is as follows:
> 
> ----
[...]
> main.o(.text+0x67):main.c: undefined reference to `_boot_'
[...]
> This seems to be similar (in a superficial sense at least) to the
> problem described in January on this list relating to Courier-0.47
> (http://sourceware.org/ml/cygwin/2005-01/msg01231.html) due to the
> references to Win32CORE and `_boot_'.
> 
> So, I was wondering if there was anything that changed between these
> two versions of perl (in terms of the way they were built, etc), that
> would cause this problem, or is there somewhere else that I should be
> looking?
> 
> Thanks,

This is an already known issue with the first 5.8.6 perl including the 
Win32CORE parts.  It was released an update to fix this issue, please 
upgrade to the latest release.

Gerrit
-- 
=^..^=

Action Soccer: http://www.action-soccer.de/?lv=de&id=505
(german online game)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/